Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot - Debian

This is a discussion on Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot - Debian ; Package: linux-image-2.6.26-1-xen-amd64 Version: 2.6.26-8 Severity: grave Justification: renders package unusable After installing linux-image-2.6.26-1-xen-amd64, and booting it in grub, I get the following output: ==== BEGIN ==== Booting 'Debian GNU/Linux, kernel 2.6.26-1-xen-amd64' root(hd0,0) Filesystem type is ext2fs, partition type 0x83 kernel ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot

  1. Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot

    Package: linux-image-2.6.26-1-xen-amd64
    Version: 2.6.26-8
    Severity: grave
    Justification: renders package unusable

    After installing linux-image-2.6.26-1-xen-amd64, and booting it in grub, I get the following output:

    ==== BEGIN ====
    Booting 'Debian GNU/Linux, kernel 2.6.26-1-xen-amd64'

    root(hd0,0)
    Filesystem type is ext2fs, partition type 0x83
    kernel /vmlinuz-2.6.26-1-xen-amd64 root=/dev/mapper/pasander-root ro usbcore.autosuspend=1 quiet

    Error 13: Invalid or unsupported executable format

    Press any key to continue...
    ===== END =====

    I suspect that this is caused by:

    $ file /boot/vmlinuz-2.6.26-1-*
    /boot/vmlinuz-2.6.26-1-amd64: Linux kernel x86 boot executable RO-rootFS, root_dev 0x901, swap_dev 0x1, Normal VGA
    /boot/vmlinuz-2.6.26-1-xen-amd64: gzip compressed data, from Unix, last modified: Thu Oct 9 18:11:25 2008, max compression

    The 2.6.26-1-amd64 kernel boots fine, it's what I'm using to submit this bug report

    Dave

    -- System Information:
    Debian Release: lenny/sid
    APT prefers testing
    APT policy: (500, 'testing')
    Architecture: amd64 (x86_64)

    Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
    Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
    Shell: /bin/sh linked to /bin/bash

    Versions of packages linux-image-2.6.26-1-xen-amd64 depends on:
    ii initramfs-tools 0.92j tools for generating an initramfs
    ii linux-modules-2.6.26-1-xen-am 2.6.26-8 Linux 2.6.26 modules on AMD64

    linux-image-2.6.26-1-xen-amd64 recommends no packages.

    Versions of packages linux-image-2.6.26-1-xen-amd64 suggests:
    ii grub 0.97-47 GRand Unified Bootloader (Legacy v
    pn linux-doc-2.6.26 (no description available)

    -- no debconf information



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Bug#504426: closed by Bastian Blank <waldi@debian.org> (Re: Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot)

    On Monday 03 November 2008 21:36:04 Debian Bug Tracking System wrote:

    > Their explanation is attached below along with your original report.
    > If this explanation is unsatisfactory and you have not received a
    > better one in a separate message then please contact Bastian Blank
    > by replying to this email.


    Installing a linux-image-*-xen* package is all you need to do to get a
    Xen-enabled dom0 on Etch; if it's not that simple on Lenny, I consider that a
    bug.

    Having done a bit of poking around with help from some DDs on IRC, it seems
    that there are two here, one of which are not related to the kernel package
    directly.

    1) The kernel package does not depend or recommend any of the Xen packages it
    will need to be correctly booted

    2) the update-grub script is writing the menu.lst entry as if this were a
    standard kernel, not a Xen-enabled one.

    In answer to your "Please read the documentation before writing bugs", which
    documentation did you have in mind? If a kernel package is going to install
    itself and fail to boot, or require special massaging to be made to work, I'd
    expect this to be mentioned in /usr/share/doc/linux-image-2.6.26-1-xen-amd64
    even if that just told me to install a kernel documentation package.

    Dave
    --
    Dave Page
    Jabber: grimoire@jabber.earth.li



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  3. Bug#504426: closed by Bastian Blank <waldi@debian.org> (Re: Bug#504426: linux-image-2.6.26-1-xen-amd64 does not boot)

    On Tuesday 04 November 2008 11:27:16 LM Jogbäck wrote:

    > This is not correct. On Etch (and Lenny) you need to either:
    > a) Install linux-image-*-xen* AND xen-hypervisor-*
    > or
    > b) Install xen-linux-system* (which depends on both the kernel and the
    > hypervisor)


    Would it make sense for the package description for the Xen kernel to mention
    this, or for the package to depend or recommend the full Xen system?

    A simple description line reading "If you want to run this kernel as a Xen
    host (dom0), look at the xen-linux-system-2.6.26-1-xen-amd64 package" would
    help.

    Dave
    --
    Dave Page
    Jabber: grimoire@jabber.earth.li



    --
    To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread